//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'https://cecill.info'.

function buildmacro()
  // Get path of "buildmacros.sce" file
  macros_path = get_absolute_file_path("buildmacros.sce");
  // Delete directory separator at the end of path
  macros_path = pathconvert(macros_path, %f, %f);
  // Get name of last directory in path
  fname = fileparts(macros_path, "fname");
  // Convert fname to lower case
  fname = convstr(fname, "l");
  // Compile macros (library name is CL_<fname>_lib)
  tbx_build_macros("CL_" + fname + "_", macros_path);
endfunction

buildmacro();

clear buildmacro
