//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'https://cecill.info'.

// tle2 = tle1(I)
// I = integers (row vector) - can be []

function [tle2] = %CLtle_e(I,tle1)

CL__tle_checkValid(tle1); 

// Scilab 5: ":" has type "constant" => replace 
if (isequal(I,:))
  I = 1 : $; 
end

if (typeof(I) == "constant")
  if (I <> [] & (size(I,1) > 1 | find(I <> round(I)) <> [] | min(I) < 1 | max(I) > size(tle1)))
    CL__error("Invalid index"); 
  end
end

tle2 = CL__tle_create(); 

names = matrix(fieldnames(tle2), 1, -1); 

for name = names
  tle2(name) = tle1(name)(I); 
end
             
endfunction
