//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'https://cecill.info'.

// tle2(I) = tle1 
// I = integers (row vector)
// I can be empty in theory (but it does not work)

function [tle2] = %CLtle_i_CLtle(I,tle1,tle2)

CL__tle_checkValid(tle1); 
CL__tle_checkValid(tle2); 

N1 = size(tle1);
N2 = size(tle2);

// Scilab 5: ":" has type "constant" => replace 
if (isequal(I,:))
  I = 1 : $; 
end

if (typeof(I) == "constant")
  // I: set of values (1xN expected or [])
  if (I <> [] & (size(I,1) > 1 | find(I <> round(I)) <> [] | min(I) < 1 | max(I) > N2))
    CL__error("Invalid index"); 
  end
  N = size(I,2); 
  
else
  N = size(tle2(I));
end

if (N == 0 | N2 == 0)
  return; 
end

if (N1 <> 1 & N1 <> N)
  CL__error("Inconsistent sizes"); 
end

names = matrix(fieldnames(tle2), 1, -1); 

if (N1 < N)
  for name = names
    tle1(name) = repmat(tle1(name), 1, N); 
  end
end

for name = names
  tle2(name)(I) = tle1(name); 
end


endfunction

