//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'https://cecill.info'.


// Guesses the format of a string containing TLEs (TLE, JSON, OMM XML) 
// returns "JSON", "OMM-XML" or "TLE" (default)
// JSON : if the string ends with "]" or "}"
// OMM-XML : if the string starts with "<" and ends with ">" 
// TLE : otherwise 
function [form] = CL__tle_guessFormat(str) 
  str_oneline = stripblanks(strcat(str, " "), %t); 
  lg = length(str_oneline);  

  // first / last character 
  // NB: "part" expect argument >= 1
  str_first = ""; 
  str_last = ""; 
  if (lg >= 1)
    str_first = part(str_oneline, 1:1); 
    str_last = part(str_oneline, lg:lg); 
  end 
  
  if (str_last == "]" | str_last == "}")
    form = "JSON"; 
    
  elseif (str_first == "<" & str_last == ">")
    form = "OMM-XML"; 

  else
    form = "TLE"; 
  end 
endfunction 
