//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'https://cecill.info'.


// Returns the appropriate suffix for CelestLab binary data file 
// (data files located in CL_home()/data directory)
// The suffix depends on Scilab version: 
// Scilab version < 6 => ".dat" (old format for scilab binary files) 
// Scilab version >= 6 => ".sod" (HDF5 format) 
// Note that ".sod" files may be read with Scilab 5 but this is not encouraged
// due to memory leaks problems in Scilab 5. 

function [suffix] = CL__binDataFileExt()  
  sciver = CL__scilabVersion(); 
  if (sciver >= 600)
    suffix = ".sod"; 
  else
    suffix = ".dat"; 
  end  
endfunction
