//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'https://cecill.info'.


// Adjust the name (suffix) of a CelestLab binary data file: 
// => if the file extension is ".dat" and Scilab version >= 6 : extension becomes ".sod"  
// => if the file extension is not ".dat" and not ".sod" => add appropriate suffix. 
// The appropriate suffix is ".dat" if Scilab version < 6 and ".sod" if Scilab version >= 6  
// See also: CL__binDataFileExt
function [fname] = CL__binDataFileName(fname)  
  // appropriate file suffix (depending on Scilab version) 
  ext = CL__binDataFileExt(); 
  
  fname_ext = fileext(fname); 
  
  if (fname_ext <> ".dat" & fname_ext <> ".sod")
    fname = fname + ext;  

  elseif (fname_ext == ".dat" & fname_ext <> ext)
    fname = part(fname, 1 : (length(fname) - length(fname_ext))) + ext; 
  end  
  
endfunction
