//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'https://cecill.info'.


// Simulates hypermat (that is obsolete in Scilab6) 
// dims: 1x3
// vals: Nx1 : optional 
function [M] = CL__hypermat(dims, vals)

  nbargs = argn(2); 
  if (nbargs <> 1 & nbargs <> 2)
    CL__error("Invalid number of arguments"); 
  end
  
  // NB: ndims return less than 3 is the last numbers are equal to 1. 
  if (size(dims, "*") <> 3)
    CL__error("Invalid number of dimensions for a hypermatrix: 3 expected"); 
  end

  M = zeros(dims(1), dims(2), dims(3)); 
  
  if (nbargs == 2)
    M(:) = vals(:); 
  end
  
endfunction
